This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 508691 - Review Request: perl-CGI-Application-Dispatch - Dispatch requests to CGI::Application based objects
Review Request: perl-CGI-Application-Dispatch - Dispatch requests to CGI::App...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 10:13 EDT by Emmanuel Seyman
Modified: 2012-02-15 08:52 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.16-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 03:22:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-29 10:13:14 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Dispatch/perl-CGI-Application-Dispatch.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Dispatch/perl-CGI-Application-Dispatch-2.16-1.fc11.src.rpm
Description:
This module provides a way (as a mod_perl handler or running under vanilla
CGI) to look at the path (as returned by dispatch_path) of the incoming
request, parse off the desired module and it's run mode, create an instance
of that module and run it.
Comment 1 Parag AN(पराग) 2009-06-30 05:36:28 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1443364
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
39e0fb1f9209fb82d8f086ba9165fcc1b8a7ebcc  CGI-Application-Dispatch-2.16.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=28,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.09 cusr  0.02 csys =  0.14 CPU)
+ Package perl-CGI-Application-Dispatch-2.16-1.fc12.noarch =>
Provides: perl(CGI::Application::Dispatch) = 2.16 perl(CGI::Application::Dispatch::Regexp) = 2.13
Requires: perl(Carp) perl(Exception::Class) perl(Exception::Class::TryCatch) perl(base) perl(constant) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-07-01 13:06:42 EDT
(In reply to comment #1)
>
> APPROVED.  

Can I ask you to raise the flag fedora‑review ?
Comment 3 Parag AN(पराग) 2009-07-01 23:30:50 EDT
(In reply to comment #2)
> (In reply to comment #1)
> >
> > APPROVED.  
> 
> Can I ask you to raise the flag fedora‑review ?  

oh! I am sorry for that. setting fedora-review +
Comment 4 Emmanuel Seyman 2009-07-02 02:39:59 EDT
(In reply to comment #3)
>
> oh! I am sorry for that. setting fedora-review +  

No sweat (and thanks for the review). Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Dispatch
Short Description: Dispatch requests to CGI::Application based objects
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 5 Dennis Gilmore 2009-07-02 14:51:08 EDT
CVS Done
Comment 6 Fedora Update System 2009-07-03 03:14:18 EDT
perl-CGI-Application-Dispatch-2.16-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Dispatch-2.16-1.fc11
Comment 7 Fedora Update System 2009-07-11 13:28:47 EDT
perl-CGI-Application-Dispatch-2.16-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Dispatch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7510
Comment 8 Fedora Update System 2009-07-16 03:22:53 EDT
perl-CGI-Application-Dispatch-2.16-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Emmanuel Seyman 2012-02-15 07:52:20 EST
Package Change Request
======================
Package Name: perl-CGI-Application-Dispatch
New Branches: el6
Owners: eseyman ktdreyer
InitialCC: perl-sig

Ken Dreyer contacted me for an el6 branch for this module.
Comment 10 Gwyn Ciesla 2012-02-15 08:52:22 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.